| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::GLES2HardwareBuffer Class Reference

`#include <OgreGLES2HardwareBuffer.h>`

## Public Member Functions
| GLES2HardwareBuffer (GLenum target, size_t sizeInBytes, GLenum usage)
| ~GLES2HardwareBuffer ()
void | copyData (GLuint srcBufferId, size_t srcOffset, size_t dstOffset, size_t length, bool discardWholeBuffer)
void | createBuffer ()
void | destroyBuffer ()
GLuint | getGLBufferId (void) const
void * | lockImpl (size_t offset, size_t length, HardwareBuffer::LockOptions options)
void | readData (size_t offset, size_t length, void *pDest)
void | unlockImpl ()
void | writeData (size_t offset, size_t length, const void *pSource, bool discardWholeBuffer=false)

## Constructor & Destructor Documentation

## ◆ GLES2HardwareBuffer()

Ogre::GLES2HardwareBuffer::GLES2HardwareBuffer | ( | GLenum | target,
|  | size_t | sizeInBytes,
|  | GLenum | usage
| ) |  |

## ◆ ~GLES2HardwareBuffer()

Ogre::GLES2HardwareBuffer::~GLES2HardwareBuffer | ( |  | ) |

## Member Function Documentation

## ◆ createBuffer()

void Ogre::GLES2HardwareBuffer::createBuffer | ( |  | ) |

## ◆ destroyBuffer()

void Ogre::GLES2HardwareBuffer::destroyBuffer | ( |  | ) |

## ◆ lockImpl()

void* Ogre::GLES2HardwareBuffer::lockImpl | ( | size_t | offset,
|  | size_t | length,
|  | HardwareBuffer::LockOptions | options
| ) |  |

## ◆ unlockImpl()

void Ogre::GLES2HardwareBuffer::unlockImpl | ( |  | ) |

## ◆ readData()

void Ogre::GLES2HardwareBuffer::readData | ( | size_t | offset,
|  | size_t | length,
|  | void * | pDest
| ) |  |

## ◆ writeData()

void Ogre::GLES2HardwareBuffer::writeData | ( | size_t | offset,
|  | size_t | length,
|  | const void * | pSource,
|  | bool | discardWholeBuffer = `false`
| ) |  |

## ◆ copyData()

void Ogre::GLES2HardwareBuffer::copyData | ( | GLuint | srcBufferId,
|  | size_t | srcOffset,
|  | size_t | dstOffset,
|  | size_t | length,
|  | bool | discardWholeBuffer
| ) |  |

## ◆ getGLBufferId()

GLuint Ogre::GLES2HardwareBuffer::getGLBufferId | ( | void |  | ) | const
| inline

Referenced by Ogre::GLES2HardwareUniformBuffer::getGLBufferId(), Ogre::GLES2HardwareVertexBuffer::getGLBufferId(), and Ogre::GLES2HardwareIndexBuffer::getGLBufferId().

The documentation for this class was generated from the following file:

- OgreGLES2HardwareBuffer.h